Bug 535917 - (RHQ-320) RFE: add option to not delete dynagroups when a group definition is deleted
RFE: add option to not delete dynagroups when a group definition is deleted
Status: NEW
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
0.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement, SubFeature
Depends On:
Blocks: RHQ-399 jon3
  Show dependency treegraph
 
Reported: 2008-04-16 17:08 EDT by Jason Dobies
Modified: 2015-02-05 20:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
JON 2.0 GA RC1
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Dobies 2008-04-16 17:08:00 EDT
This may have been discussed during design, in which case this JIRA can quickly be closed.

I was a bit surprised to see my dynagroups automatically disappear when deleting the group definition that caused their creation. I'm not sure of what other users would have expected.

I think a good balance would be to have a checkbox at delete time that indicates if the dynagroups should be deleted when the group definition is removed. Alternatively, we should add some text in the UI that tells the user the dynagroups will be deleted when the resource group is deleted (perhaps in a delete confirmation or simply on the page where the delete option exists).
Comment 1 Red Hat Bugzilla 2009-11-10 16:06:59 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-320

Note You need to log in before you can comment on or make changes to this bug.